ThrFinder< T > Class Template Reference
Inheritance diagram for ThrFinder< T >:

## Public Member Functions

| ~ThrFinder ()
void | Push (thr_entry *e)
thr_entry * | Pop ()
thr_entry * | Find (flext::thrid_t id, bool pop=false)

## Constructor & Destructor Documentation

## ~ThrFinder()

template<class T >

ThrFinder< T >::~ThrFinder | ( |  | ) |

inline

## Member Function Documentation

## Find()

template<class T >

thr_entry* ThrFinder< T >::Find | ( | flext::thrid_t | id,
|  | bool | pop = `false`
| ) |  |

inline

## Pop()

template<class T >

thr_entry* ThrFinder< T >::Pop | ( |  | ) |

inline

## Push()

template<class T >

void ThrFinder< T >::Push | ( | thr_entry * | e | ) |

inline

The documentation for this class was generated from the following file:

- /build/pd-flext-j6Usjn/pd-flext-0.6.0+git20161101.1.01318a94/source/flthr.cpp